Subject: Re: mmotm 2014-09-22-16-57 uploaded

From: Guenter Roeck <[email-masked]>
Date: Tue, 23 Sep 2014 14:53:56 -0700

On Tue, Sep 23, 2014 at 02:36:33PM -0700, Randy Dunlap wrote:
> On 09/23/14 13:57, Guenter Roeck wrote:
> > On Tue, Sep 23, 2014 at 01:31:45PM -0700, Randy Dunlap wrote:
> >> On 09/23/14 12:02, Guenter Roeck wrote:
> >>> On Mon, Sep 22, 2014 at 05:02:56PM -0700, [email-masked] wrote:
> >>>> The mm-of-the-moment snapshot 2014-09-22-16-57 has been uploaded to
> >>>>
> >>>>    http://www.ozlabs.org/~akpm/mmotm/
> >>>>
> >>>> mmotm-readme.txt says
> >>>>
> >>>> README for mm-of-the-moment:
> >>>>
> >>>> http://www.ozlabs.org/~akpm/mmotm/
> >>>>
> >>>> This is a snapshot of my -mm patch queue.  Uploaded at random hopefully
> >>>> more than once a week.
> >>>>
> >>> Sine I started testing this branch, I figure I might as well share the results.
> >>>
> >>> i386:allyesconfig
> >>>
> >>> drivers/built-in.o: In function `_scsih_qcmd':
> >>> mpt2sas_scsih.c:(.text+0xf5327d): undefined reference to `__udivdi3'
> >>> mpt2sas_scsih.c:(.text+0xf532b0): undefined reference to `__umoddi3'
> >>>
> >>> i386:allmodconfig
> >>>
> >>> ERROR: "__udivdi3" [drivers/scsi/mpt2sas/mpt2sas.ko] undefined!
> >>> ERROR: "__umoddi3" [drivers/scsi/mpt2sas/mpt2sas.ko] undefined!
> >>
> >> A patch has been posted for that and I believe that Christoph Hellwig has
> >> merged it.
> >>
> >>> mips:nlm_xlp_defconfig
> >>>
> >>> ERROR: "scsi_is_fc_rport" [drivers/scsi/libfc/libfc.ko] undefined!
> >>> ERROR: "fc_get_event_number" [drivers/scsi/libfc/libfc.ko] undefined!
> >>> ERROR: "skb_trim" [drivers/scsi/libfc/libfc.ko] undefined!
> >>> ERROR: "fc_host_post_event" [drivers/scsi/libfc/libfc.ko] undefined!
> >>>
> >>> [and many more]
> >>
> >> I have posted a patch for these build errors.
> >>
> > mips:nlm_xlp_defconfig builds in next-20140923, but it doesn't configure
> > CONFIG_NET. I don't see a patch which would address that problem.
> > In case I am missing it, can you point me to your patch ?
> 
> I was referring to this one:
> http://marc.info/?l=linux-scsi&m=141117068414761&w=2
> 
> although I think that Dave is also working on a patch that is a little
> different from mine.
> 
His patch is in next-20140923.

> Neither of these patches enables CONFIG_NET.  They just add dependencies.
> 
This means CONFIG_NET is now disabled in at least 31 configurations where
it used to be enabled before (per my count), and there may be additional
impact due to the additional changes of "select X" to "depends on X".

3.18 is going to be interesting.

Guenter